About

About Client Side Publishing

Client-side publishing refers to the publishing of model to 3DF (content sealed format for 3D) or ISF on a client machine rather than on the server. The person doing the publishing can be the author or an agent of the author. Client-side publishing with the Myriad Publisher produces the 3D (ISF/3DF) output files.

Informative Graphics Corporation's 3D ISF and 3DF published formats are viewable by Informative Graphic Corporation's 3D viewing applications such as MYRIAD and ModelPress. You can download the free ModelPress Reader from http://www.modelpress.com/download.htm.

Benefits

  • In the case of publishing through a plug-in, the author of the document or drawing already has the native application on their system and therefore, that application does not need to be installed on the server.

  • Necessary fonts and cross references will be present on the client machine.

  • Scalability is high since the processing is distributed among many client machines.

  • The original native file never leaves the client machine.


Publishing with Net-It CAD Plug-in

Publishing with the Myriad 3DF Publisher

The Myriad 3DF Publisher allow you to publish 3D models to Informative Graphics Corporation's proprietary portable format (ISF/3DF).

You can initiate publishing through the [image] toolbar button or through the File-->Publish menu. Select the Displayed Model to ModelPress 3DF/HTML option.

Publish Options

When you run the plug-in, the "ModelPress Options" dialog appears allowing you to select certain publishing and security options.

Here you may select:

Security Type

Enable Use

Banner

Permissions

Publish Options (and model axis)

Create

When you have chosen your desired options, click Publish. You will need to indicate a destination where the published files should be contributed to (e.g., file system, mail, etc.). If you are contributing to a document management system, you may be prompted to enter additional meta data to be associated with the file.


Security

Security Type

Select Password Protected to grant viewing rights to select individuals. When the file is published, you will enter a secure password in the text box. Users will be prompted for the correct password before they will be allowed to view the published file.


Enable Use

In the Enable Use section, you can select a date for the published document to expire. If the Date Expired check box is selected, the Relative Date becomes available (select a date on the calendar for the file to expire). If the Relative Date checkbox is selected, the Date field becomes available (enter number of days from today’s date for the file to expire).

Files that have reached their set expiration dates will not load in the ModelPress Reader or MYRIAD.


On Screen Banner

In the Banner (On Screen) section, the Myriad 3DF Plug-in allows you to customize the copyright banner that will be published with your model and displayed on screen to the viewer. Type in the copyright text desired. If the field is left blank, no copyright banner appears.


Permissions

Permit

The Permit section allows you to specify user rights for the secure 3D (ISF/3DF) document.

Rights that you can elect to disable cross sectioning, measurement, part viewing, and printing from an application that can view the published ISF and 3DF files such as MYRIAD and ModelPress.


3Dpublish

Publish Options

You can export the active model as a highly compressed ISF or 3DF formatted file. Although both ISF and 3DF files can be published with Visual Rights™, 3DF files contain added security measures and the Visual Rights™ are encrypted into the file. Additionally, only ISF files are streamable as 3DF files do not stream due to their added security layers. Select your choices in the Publish Options section.

Select Generate for measurement if you would like to retain all measurement information (lossless compression). If this option is not selected, the resulting ISF/3DF file is optimized for speed. It is visually perfect, but the measurement information it contains has some loss and may be noticeable when performing angular measurements such as arc recognition.

Select Optimize for size instead of load speed to turn off additional levels of detail for the greatest compression level possible.

If both options are selected, the model is published with the fewest levels of detail while retaining lossless compression.

If neither option is selected, the model is optimized for speed having good compression and retaining levels of detail.

In order to publish secure files with encrypted Visual Rights™, you MUST select Generate Secure File (3DF) to generate 3DF (Sealed Content Format for 3D) files. If this option is set, a 3DF file is created rather than an ISF file. The 3DF file is used exactly like the ISF file is, and is supported by the ModelPress Reader. Note: Published ISF and 3DF files cannot be republished as ISF or 3DF files.

The Model Up-Axis section controls which axis of the model you will use as the up-axis for publishing. If you select Viewer Default, the model will publish using the Up-Axis that is selected in the ModelPress Reader or MYRIAD.


Create

The Create section allows you to automatically generate HTML files that reference the created ISF/3DF file. When selected, a file of the same name as the ISF/3DF file is generated, but with an HTM extension, and is placed in the same directory that the ISF/3DF file is written to.

IMPORTANT: This feature requires that you have ModelPress Reader (must be version 4.0 or higher) installed on the machine where you will view the HTML pages. (You can download this free viewer from: http://www.modelpress.com/download.htm)

Select File Only to create only ISF or 3DF files.

Select Web Pages to create the HTML necessary to use all of the features of the ModelPress Reader. This option publishes a folder containing a complete set of files needed to create a self contained web site. The ModelPress Reader is embedded in the site.

WARNING: Because a directory structure is created, if the output location already exists, the application will try to overwrite the location and a prompt appears. If you choose to overwrite, any existing data in that directory will be lost.

Select Email to send an email with the published ISF/3DF file as an attachment.

Once published, a "Publish Completed Successfully" dialog appears. You can choose to preview how your published files will look once uploaded to your Web site by clicking Preview HTML. (Requires ModelPress Reader to be installed for preview.)